package com.cxyxiaomo.epp.miniprogram.index.service;

import com.cxyxiaomo.epp.common.pojo.Feedback;
import com.cxyxiaomo.epp.miniprogram.index.dao.OtherDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class OtherServiceImpl implements OtherService {

    @Autowired
    private OtherDao otherDao;

    @Override
    public int subFeedback(String title, String content,String time, Integer id) {
        return otherDao.subFeedback(title, content,time,id);
    }

    @Override
    public List<Feedback> feedbackList(Integer id) {
        return otherDao.feedbackList(id);
    }

    @Override
    public List<Feedback> feedbackListNoReplay() {
        return otherDao.feedbackListNoReplay();
    }

    @Override
    public int feedbackReplay(Integer id, String replay) {
        return otherDao.feedbackReplay(id,replay);
    }
}
